function u_ff =PID(u)

%PID algorithm
%Yngvild Aurlien

a_MRU=u(1);
v_MRU=u(2);
x_MRU=u(3);
pos_cyl=u(4);
v_cyl=u(5);


global e Friction a_ds v_ds x_ds v_c pos_c a_b v_b x_b timestep zero_velocity f_cl F_d F_s M_dyn D k M_CR F_ds F_W a_c i velocity;
global D_CR A_CR A_AA A_A A_p DeltaP M_AA M_d beta Vi1 Vi2 f_valve B_p F_AA F_A F_c F_control a_a v_a pos_a e_a DeltaFP DeltaP_control P1_init P1 P1_next P1_der Q;
global v_f x_f K_v e_v K_f F_b F_heave e_i e_p e_d;

F_ds=zeros(1,1);
F_W=zeros(1,1);



F_heave=M_CR*a_MRU;

if abs(F_heave)<F_s
    F_static=F_heave*sign(F_heave);
else
    F_static=F_s*sign(F_heave);
end

%cylinder
if abs(v_c) < 0.05 %static friction
    
    a_c=(F_heave-0.5*F_b-(f_cl)*v_c-F_static-Friction)/M_CR;
else
   
    a_c=(F_heave-0.5*F_b-(f_cl)*v_c-F_d*sign(v_c)-Friction)/M_CR;
end


F_c=a_c*M_CR;


%velocity and position estimates 
v_c=v_c+a_c*timestep;

pos_c=pos_c+v_c*timestep;

velocity(i)= v_c;



if abs(v_c) < 0.05 %static friction
    Friction=-F_static-(f_cl)*v_c;
    
    F_b=2*(F_c+0.5*F_b-F_heave)-k*x_b-D*v_b;

else
    Friction=-F_d*sign(v_c)-(f_cl)*v_c; %dry friction
    F_b=-k*x_b-D*v_b;

end

a_b=F_b/M_dyn;

v_b=v_b+a_b*timestep;
x_b=x_b+v_b*timestep;


F_AA=F_c*A_CR/A_A;

%Active akkumulator

a_a=(-F_AA+B_p*v_a-F_control)/M_AA;

F_A=a_a*M_AA;


v_a=v_a+a_a*timestep;
pos_a=pos_a+v_a*timestep;


%PID
e=pos_cyl-x_MRU;
e_d=v_cyl-v_MRU;
e_i=e_i+e*timestep;

F_PID=10000*e+70000*e_d+1000*e_i;%+2000*(a_cyl-a_MRU);

%calculation of control force
F_control=-F_PID*A_CR/A_A;

DeltaP_control=F_control/A_AA;

%Control flow

P1_next=P1_init+DeltaP_control/2;
P1_der=(P1_next-P1)/timestep;
P1=P1_next;

Q=P1_der*(Vi1+A_AA*pos_a)/beta;


u_ff=zeros(1,1);

u_ff(1)=Q;
u_ff(2)=e_d;
u_ff(3)=e;
u_ff(4)=pos_c;
u_ff(5)=pos_a;