%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Parametre og avledede parametre
%
%init4.m
%Yngvild Aurlien
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global a_ds v_ds x_ds f_cl F_s F_d M_dyn M_CR D k pos_c v_c a_c e F_W timestep i velocity ;
global D_CR A_CR A_AA A_A A_p DeltaP M_AA M_d beta Vi1 Vi2 f_valve B_p pos_a v_a a_a e_a F_c F_AA F_A F_control DeltaP_control DeltaFP P1_init P1 P1_next P1_der Q;
global K_p Friction;
global x_b v_b a_b F_b F_heave e_i e_p e_d e_dp;
global Statfric velocity_last f_statfric velocity_c F_pipes;
global P_N f_valves DeltaP V_i;

%Hydraulikkmodell
D_CR= 455*10^-3; %Diameter sylinderstempel (m)
A_CR= (455*10^-3/2)^2*pi; %Areal stempel hovesylinder (m^2)
A_AA= ((550*10^-3/2)^2*pi- (540*10^-3/2)^2*pi); %Areal kamre aktiv akkumulator (m^2)
A_A=(550*10^-3/2)^2*pi; %Areal aktiv akkumulator (m^2)


A_p=0.1^2*pi; %Areal rr aktiv akkumulator (m^2)

L_tot=225; %Lengde av rr mellom hovedsylinder og aktiv akkumulator (m)
f_p=0.03; %Trykktapskoeffisient 
RhoOil=760; %Massetetthet til oljen (kg/m^3)
DeltaP=f_p*L_tot*RhoOil/(2*0.2*2); %Trykktap i rr (Pa)
M_AA=4000; %Masse av stempel aktiv akkumulator (kg)


M_CR=11000;  %Masse av stempel hovedsylinder (kg)
M_d=64000; %Masse av lftek  og boremaskin  (kg)
g=9.81; %gravitasjonskonstant (m/s^2)

beta=1.6*10^9; % Bulk modul
P1_init=207*10^5; %initialtrykk i kamrene til aktiv akkumulator (Pa)
P_init=207*10^5; %initialtrykk i kamrene til aktiv akkumulator (Pa)

Vi1=0.0469; %initialvolum i kammer 1 til aktiv akkumulator (m^3)

Vi2=0.0469; %initialvolum i kammer 2 til aktiv akkumulator (m^3)



f_valve=0.1*2.21*10^7; %trykktapskoeffisient i ventilene
f_cl=500; %visks friksjonskoeffisient i hovedsylinderen
B_p=100; %visks friksjonskoeffisient i aktiv akkumulator
F_bend= 0;

%borestreng
rho_m=1.03; % Massetettheten til slammet (kg/m^3) Feil her, men rettere i utregning (2000)
rho_ds=7860; %Massetettheten til borestrengen (kg/m^3)

D_dy=0.1016;  %Ytre diameter til borestrengen (m)
D_di=0.0848; %Indre diameter til borestrengen (m)
M_w=39200; %Masse av vektrr (kg)


M_ds=56500; %Masse borestreng (kg)
M_s=M_ds+M_w+M_d; %Statisk masse (kg)

F_b=rho_m*M_ds/rho_ds*g; %Oppdriftskraft (N)
D_db=0.5; %Diameter borekrone (m)
A=(D_dy/2)^2*pi-(D_di/2)^2*pi; %Areal borestreng (m^2)
E=2.1*10^10; %Elastisitetsmodul
C_d=0.5; %Overflatefriksjonsdrag
l=3000; %Lengde borestreng
k=0.5*1000*E*A/l; % stivhetskonstant 



M_dyn=(M_ds/3+M_d); %Dynamisk masse borestreng (kg)
D=1.5*200000; %Dempningskoeffisient
SWOB=100000; %Statisk vekt p borekrone (N)


%utregning av statiske krefter
F_CL=(M_dyn*g-SWOB-F_b-F_bend)/2;
F_CLd=M_dyn*g-SWOB-F_b-F_bend;
F_as=M_CR*g+F_CL;
F_ga=M_AA*g;
F_Ni=F_as*A_CR/A_A-F_ga;
F_AL=F_as*A_CR/A_A;
V_i=7.6;
P_N=F_Ni/A_A;

%parametre for sammenhengene mellom WOB, ROP og TOB
a_1=3.429* 10^(-3);
a_2 =5.672* 10^(-8); 
a_3 =1.374* 10^(-4); 
a_4 =9.537* 10^(6);
a_5=1.475* 10^(3);

omega=0.628; %Rorasjonshastighet (RPM)
Omega=100; % frekvensen til hivet (rad/s)

%trre og statiske friksjonskoeffisienter
f_statfric=600;
f_dryfric=415;
f_statfricAA=500;
f_dryfricAA=250;



timestep=0.01;
zero_velocity=0.05;

F_d=f_dryfric;
F_s=f_statfric;

%initialisering av variabler
v_c=0;
a_c=0;
pos_c=0.8;
a_ds=0;
v_ds=0;
x_ds=0;
e=0;

v_a=0;
a_a=0;
pos_a=-1.8;
e_a=0;

v_b=0;
a_b=0;
x_b=0;
F_b=0;
F_heave=0;%-8290;
Friction=0;
F_pipes=0;


F_control=0;


P1=P1_init;

K_p=0.9;

e_i=0;
e_p=0;
e_d=0;
e_dp=0;

velocity_last=0;
Statfric=0;

velocity_c=0;