%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plots.m
%
%plots the model
%Yngvild Aurlien
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%borestreng

plot(topforces.time,topforces.signals.values);
title('Summen av krefter p toppen av borestrengen');
xlabel('Time (s)');
ylabel('Kraft (N)');
%axis([0 60 -10^4 10^4]);
grid

%hydraulikk
figure
subplot(2,1,1)
plot(heave.time,heave.signals.values);
title('Hiv');
xlabel('Time (s)');
ylabel('Posisjon (m)');
grid

subplot(2,1,2)
plot(Heaveforce.time,Heaveforce.signals.values);
title('Hivkrefter');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

figure
subplot(2,1,1);
plot(x_a.time,x_a.signals.values);
title('Posisjonen til aktiv akkumulator');
xlabel('Time (s)');
ylabel('Posisjon (m)');
grid

subplot(2,1,2);
plot(vel_a.time,vel_a.signals.values);
title('Hastigheten til aktiv akkumulator');
xlabel('Time (s)');
ylabel('Hastighet (m/s)');
grid

figure
subplot(2,2,1);
plot(x_c.time,x_c.signals.values);
title('Posisjonen til hovedsylinderen');
xlabel('Time (s)');
ylabel('Posisjon (m)');
grid

subplot(2,2,2);
plot(vel_c.time,vel_c.signals.values);
title('Hastigheten til hovedsylinderen');
xlabel('Time (s)');
ylabel('Hastighet (m/s)');
grid

subplot(2,2,3);
plot(NCF.time,NCF.signals.values);
title('Ukompenserte tapskrefter i hovedsylinderen');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

subplot(2,2,4);
plot(F_C.time,F_C.signals.values);
title('Summen av krefter p hovedsylinderen');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

figure
subplot(2,2,1);
plot(NLfric.time,NLfric.signals.values);
title('Uliner friksjon i hovedsylinderen');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

subplot(2,2,2);
plot(Vis.time,Vis.signals.values);
title('Visks friksjon i hovedsylinderen');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

subplot(2,2,3);
plot(PL.time,PL.signals.values);
title('Trykktapskrefter i rr og ventiler');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

subplot(2,2,4);
plot(NL.time,NL.signals.values);
title('Variasjon av kraft fra nitrogenbeholderene');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

%totalmodell
figure
plot(dWOB.time,dWOB.signals.values);
title('Dynamisk WOB');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid
