%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotsff.m
%
%this file makes plots for the feedforward algorithm
%Yngvild Aurlien
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

subplot(2,2,1);
plot(vel_c.time,vel_c.signals.values);
title('Hastighet til hovedsylinder');
xlabel('Time (s)');
ylabel('Hastighet (m/s)');
grid

subplot(2,2,2);
plot(x_c.time,x_c.signals.values);
title('Posisjon til hovedsylinder');
xlabel('Time (s)');
ylabel('Posisjon (m)');
grid

subplot(2,2,3);
plot(e_vel.time,e_vel.signals.values);
title('Forhold mellom estimert og reell hastighet');
xlabel('Time (s)');
ylabel('Hastighet (m/s)');
grid

subplot(2,2,4);
plot(e_c.time,e_c.signals.values);
title('Forhold mellom estimert og reell posisjon');
xlabel('Time (s)');
ylabel('Posisjon (m)');
grid

figure


subplot(2,2,1);
plot(F_d.time,F_d.signals.values);
title('Estimert trr friksjon');
xlabel('Time (s)');
ylabel('Kraft(N)');
grid

subplot(2,2,2);
plot(F_control.time,F_control.signals.values);
title('Pdragskraft i aktiv akkumulator');
xlabel('Time (s)');
ylabel('Kraft(N)');
grid

subplot(2,2,3);
plot(NCF.time,NCF.signals.values);
title('Ukompensert friksjon i sylinderen');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

subplot(2,2,4);
plot(dWOB.time,dWOB.signals.values);
title('Variasjon i WOB');
xlabel('Time (s)');
ylabel('Kraft (N)');
axis([0 20 -1000 1000]);
grid
