%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotsffPID.m
%
%this file makes plots for the feedforward+PID algorithm
%Yngvild Aurlien
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

subplot(2,2,1);
plot(vel_c.time,vel_c.signals.values);
title('Hastighet til hovedsylinder');
xlabel('Time (s)');
ylabel('Hastighet (m/s)');
grid

subplot(2,2,2);
plot(x_c.time,x_c.signals.values);
title('Posisjon til hovedsylinder');
xlabel('Time (s)');
ylabel('Posisjon (m)');
grid

subplot(2,2,3);
plot(F_control.time,F_control.signals.values);
title('Pdragskraft i aktiv akkumulator');
xlabel('Time (s)');
ylabel('Kraft(N)');
grid

subplot(2,2,4);
plot(NCF.time,NCF.signals.values);
title('Ukompensert friksjon i sylinderen');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid

figure

plot(dWOB.time,dWOB.signals.values);
title('Variasjon i WOB');
xlabel('Time (s)');
ylabel('Kraft (N)');
grid


figure
subplot(2,1,1);
plot(ROP.time,ROP.signals.values);
title('Penetreringshastighet');
xlabel('Time (s)');
ylabel('Hastighet (m/s)');
grid

subplot(2,1,2);
plot(TOB.time,TOB.signals.values);
title('Rotasjonsmoment');
xlabel('Time (s)');
ylabel('Moment (Nm)');
grid

figure
plot(vel_c.time,vel_c.signals.values,'--rs',v_heave.time,v_heave.signals.values,'.','MarkerSize',1);
title('Sylinderhastighet og hivhastighet for hivperiode 2.5 s');
xlabel('Time (s)');
ylabel('Hastighet (m/s)');
legend('Sylinderhastighet','Hivhastighet');
grid